#!/bin/bash
if [ -x "$(command -v pip3)" ]; then
  pip3 uninstall -y py-hs-gateway-api
else
  # echo "Error: pip is not installed, replaced with command pip..."
  pip uninstall -y py-hs-gateway-api
fi
rm -rf ./build
rm -rf ./dist
rm -rf ./*.egg-info
if [ -x "$(command -v python3)" ]; then
  python3 setup.py build_ext --inplace
  python3 setup.py sdist bdist_wheel --universal
else
  python setup.py build_ext --inplace
  python setup.py sdist bdist_wheel --universal
fi
if [ -x "$(command -v pip3)" ]; then
  pip3 install -U dist/*.whl
else
  pip install -U dist/*.whl
fi

